<?php

namespace Monkey\Curl\Base\Response;

/**
 * Class Response
 * @package Monkey\Curl\Base\Response
 */
class Response {

    /**
     * @var int
     */
    private $statusCode;

    /**
     * @var bool
     */
    private $success;

    /**
     * @var string[]
     */
    private $messages;

    /**
     * @var string
     */
    private $version;

    /**
     * @var mixed
     */
    private $data;

    /**
     * @return int
     */
    public function getStatusCode() {
        return $this->statusCode;
    }

    /**
     * @param int $statusCode
     * @return Response
     */
    public function setStatusCode($statusCode) {
        $this->statusCode = $statusCode;
        return $this;
    }

    /**
     * @return bool
     */
    public function isSuccess() {
        return $this->success;
    }

    /**
     * @param bool $success
     * @return Response
     */
    public function setSuccess($success) {
        $this->success = $success;
        return $this;
    }

    /**
     * @return string[]
     */
    public function getMessages() {
        if(!is_array($this->messages)){
            return array();
        }
        return $this->messages;
    }

    /**
     * @param string[] $messages
     * @return Response
     */
    public function setMessages($messages) {
        $this->messages = $messages;
        return $this;
    }

    /**
     * @return string
     */
    public function getVersion() {
        return $this->version;
    }

    /**
     * @param string $version
     * @return Response
     */
    public function setVersion($version) {
        $this->version = $version;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getData() {
        return $this->data;
    }

    /**
     * @param mixed $data
     * @return Response
     */
    public function setData($data) {
        $this->data = $data;
        return $this;
    }


}