<?php

namespace Monkey\Curl;

use Monkey\Curl\Base\ACurl;
use Monkey\Curl\Base\Response\Response;
use stdClass;

/**
 * Class Curl
 * @package Monkey\Curl
 */
class Curl extends ACurl {


    /**
     * @param stdClass $object
     * @param array $curlInfo
     * @return Response
     */
    protected function parseResponse(stdClass $object, array $curlInfo) {
        $responseObject = new Response();
        $responseObject->setStatusCode($curlInfo["http_code"]);
        if (isset($object->data)) {
            $responseObject->setData($object->data);
        }
        if (isset($object->success)) {
            $responseObject->setSuccess($object->success);
        }
        if (isset($object->messages)) {
            $responseObject->setMessages($object->messages);
        }
        if (isset($object->version)) {
            $responseObject->setVersion($object->version);
        }
        return $responseObject;
    }
}
