<?php

namespace Monkey\Curl\Interfaces;

use Monkey\Curl\Base\Response\Response;
use Monkey\Curl\Exceptions\HttpCurlCommunicationException;
use Monkey\Curl\Exceptions\HttpCurlException;

/**
 * Interface ICurl
 * @package Monkey\Curl\Interfaces
 */
interface ICurl {

    // not supported yet
    // const METHOD_GET = "GET";
    const METHOD_POST = "POST";

    /**
     * @param string $url
     * @param array $parameters
     * @param string $method
     *
     * @return Response
     * @throws HttpCurlCommunicationException
     * @throws HttpCurlException
     */
    public function call($url, array $parameters, $method = self::METHOD_POST);

}
