<?php

namespace Monkey\ImportEshopApi\Base;

use Exception;

/**
 * Class ApiFactory
 * @package Monkey\ImportEshopApi\Base
 */
class ApiFactory
{

    /**
     * @var array
     */
    private $apiNames = array();


    /**
     * @param $storeVersion
     * @return string
     * @throws Exception
     */
    public function getApi($storeVersion){
        $versionArray = explode(".", $storeVersion);

        $currentVersionName = $versionArray[0].$versionArray[1].$versionArray[2];
        foreach ($this->getApiNames() as $apiName){
            if(strpos($apiName, $currentVersionName)!==false){
                return $apiName;
            }
        }

        $baseVersionName = $versionArray[0].$versionArray[1]."X";
        foreach ($this->getApiNames() as $apiName){
            if(strpos($apiName, $baseVersionName)!==false){
                return $apiName;
            }
        }

        throw new Exception("Missing API");
    }

    /**
     * @return array
     */
    public function getApiNames(){
        return $this->apiNames;
    }

    /**
     * @param $apiName
     * @return ApiFactory
     */
    public function registerApi($apiName){
        $this->apiNames[$apiName] = $apiName;
        return $this;
    }


}