<?php

namespace Monkey\ImportEshopApi\Endpoint;

use Monkey\ImportEshopApi\Base\ADataMiner;
use Monkey\ImportEshopApi\Base\ADefaultEshopSetting;
use Monkey\ImportEshopApi\Exceptions\WrongRequestObjectException;
use Monkey\ImportEshopApi\Exceptions\WrongResponseObjectException;
use Monkey\ImportEshopDataObjects\Interfaces\IRequest;
use Monkey\ImportEshopDataObjects\Interfaces\IResponse;
use Monkey\ImportEshopDataObjects\Request\TestRequest;
use Monkey\ImportEshopDataObjects\Response\TestResponse;

/**
 * Class Test
 * @package Monkey\ImportEshopApi\Endpoint
 */
class Test extends ADataMiner
{

    const ENDPOINT = "test";

    /**
     * AOrders constructor.
     * @param IRequest $request
     * @param IResponse $response
     * @param ADefaultEshopSetting $defaultEshopSetting
     */
    public function __construct($request,$response, $defaultEshopSetting){
        parent::__construct($request, $response,self::ENDPOINT,$defaultEshopSetting);
    }

    /**
     * @return TestRequest
     */
    public function getRequest(){
        return $this->isCorrectRequest(parent::getRequest());
    }

    /**
     * @return TestResponse
     */
    public function getResponse(){
        return $this->isCorrectResponse(parent::getResponse());
    }

    /**
     * @param IRequest $request
     * @return TestRequest
     * @throws WrongRequestObjectException
     */
    private function isCorrectRequest(IRequest $request) {
        if ($request instanceof TestRequest) return $request;
        throw new WrongRequestObjectException(get_class($request),get_class(new TestRequest()));
    }

    /**
     * @param IResponse $response
     * @return TestResponse
     * @throws WrongResponseObjectException
     */
    private function isCorrectResponse(IResponse $response) {
        if ($response instanceof TestResponse) return $response;
        throw new WrongResponseObjectException(get_class($response),get_class(new TestResponse()));
    }

    /**
     * @return string
     */
    protected function getComposedQuery(){
        return "";
    }

    /**
     * @return array
     */
    protected function getTableSchema(){
        return array();
    }

    /**
     *
     */
    protected function setupResponseData(){

    }

    /**
     * @param null $builder
     * @return string
     */
    protected function getDefaultSelectAttributes($builder = null){
        return "";
    }

    /**
     * @param null $builder
     * @return string
     */
    protected function getDefaultTable($builder = null){
        return "";
    }

    /**
     * @param null $builder
     * @return string
     */
    protected function getDefaultCondition($builder = null){
        return "";
    }

    /**
     * @param null $builder
     * @return string
     */
    protected function getDefaultLimits($builder = null){
        return "";
    }

    /**
     * @param null $builder
     * @return bool
     */
    protected function getDifferentAttributes($builder = null){
        return false;
    }

    /**
     * @param null $builder
     * @return bool
     */
    protected function getDifferentTable($builder = null){
        return false;
    }

    /**
     * @param null $builder
     * @return bool
     */
    protected function getDifferentConditions($builder = null){
        return false;
    }


}