<?php

namespace Monkey\ImportEshopDataObjects\Entity;


use Monkey\ImportEshopDataObjects\Base\Entity;

/**
 * Class Attribute
 * @package Monkey\ImportEshopDataObjects\Entity
 */
class Attribute extends Entity {
    /**
     * @var string $name
     */
    private $name;

    /**
     * @var array $values
     */
    private $values = array();

    /**
     * @return string
     */
    public function getName() {
        return $this->name;
    }

    /**
     * @param string $name
     * @return Attribute
     */
    public function setName($name) {
        $this->name = $name;
        return $this;
    }

    /**
     * @return array
     */
    public function getValues() {
        return $this->values;
    }

    /**
     * @param AttributeValue $value
     * @return Attribute
     */
    public function addValues(AttributeValue $value) {
        $this->values[] = $value;
        return $this;
    }
}