<?php

namespace Monkey\ImportEshopDataObjects\Entity;


use Monkey\ImportEshopDataObjects\Base\Entity;

/**
 * Class Customer
 * @package Monkey\ImportEshopDataObjects\Entity
 */
class Customer extends Entity {
    /**
     * @var string $email
     */
    private $email;

    /**
     * @var string $firstname
     */
    private $firstname;

    /**
     * @var string $lastname
     */
    private $lastname;

    /**
     * @var string $zipCode
     */
    private $zipCode;

    /**
     * @var string $city
     */
    private $city;

    /**
     * @var string $country
     */
    private $country;

    /**
     * @var bool $registered
     */
    private $registered;

    /**
     * @var bool $vatPayer
     */
    private $vatPayer;

    /**
     * @var bool $company
     */
    private $company = false;

    /**
     * @return string
     */
    public function getEmail() {
        return $this->email;
    }

    /**
     * @param string $email
     * @return Customer
     */
    public function setEmail($email) {
        $this->email = $email;
        return $this;
    }

    /**
     * @return string
     */
    public function getFirstname() {
        return $this->firstname;
    }

    /**
     * @param string $firstname
     * @return Customer
     */
    public function setFirstname($firstname) {
        $this->firstname = $firstname;
        return $this;
    }

    /**
     * @return string
     */
    public function getLastname() {
        return $this->lastname;
    }

    /**
     * @param string $lastname
     * @return Customer
     */
    public function setLastname($lastname) {
        $this->lastname = $lastname;
        return $this;
    }

    /**
     * @return string
     */
    public function getZipCode() {
        return $this->zipCode;
    }

    /**
     * @param string $zipCode
     * @return Customer
     */
    public function setZipCode($zipCode) {
        $this->zipCode = $zipCode;
        return $this;
    }

    /**
     * @return string
     */
    public function getCity() {
        return $this->city;
    }

    /**
     * @param string $city
     * @return Customer
     */
    public function setCity($city) {
        $this->city = $city;
        return $this;
    }

    /**
     * @return string
     */
    public function getCountry() {
        return $this->country;
    }

    /**
     * @param string $country
     * @return Customer
     */
    public function setCountry($country) {
        $this->country = $country;
        return $this;
    }

    /**
     * @return bool
     */
    public function isRegistered() {
        return $this->registered;
    }

    /**
     * @param bool $registered
     * @return Customer
     */
    public function setRegistered($registered) {
        $this->registered = $registered;
        return $this;
    }

    /**
     * @return bool
     */
    public function isVatPayer() {
        return $this->vatPayer;
    }

    /**
     * @param bool $vatPayer
     * @return Customer
     */
    public function setVatPayer($vatPayer) {
        $this->vatPayer = $vatPayer;
        return $this;
    }

    /**
     * @return bool
     */
    public function isCompany() {
        return boolval($this->company);
    }

    /**
     * @param bool $company
     * @return Customer
     */
    public function setCompany($company) {
        $this->company = $company;
        return $this;
    }
}