<?php

namespace Monkey\ImportEshopDataObjects\Entity;


use Monkey\ImportEshopDataObjects\Base\Entity;

/**
 * Class Product
 * @package Monkey\ImportEshopDataObjects\Entity
 */
class Product extends Entity {
    /**
     * @var string $name
     */
    private $name;

    /**
     * @var string $description
     */
    private $description;

    /**
     * @var string $brandId
     */
    private $brandId;

    /**
     * @var string $imageSrc
     */
    private $imageSrc;

    /**
     * @var string $imageThumb
     */
    private $imageThumb;

    /**
     * @var Category[]
     */
    private $categories = array();

    /**
     * @var Label[]
     */
    private $labels = array();

    /**
     * @return string
     */
    public function getName() {
        return $this->name;
    }

    /**
     * @param string $name
     * @return Product
     */
    public function setName($name) {
        $this->name = $name;
        return $this;
    }

    /**
     * @return string
     */
    public function getDescription() {
        return $this->description;
    }

    /**
     * @param string $description
     * @return Product
     */
    public function setDescription($description) {
        $this->description = $description;
        return $this;
    }

    /**
     * @return string
     */
    public function getBrandId() {
        return $this->brandId;
    }

    /**
     * @param string $brandId
     * @return Product
     */
    public function setBrandId($brandId) {
        $this->brandId = $brandId;
        return $this;
    }

    /**
     * @return string
     */
    public function getImageSrc() {
        return $this->imageSrc;
    }

    /**
     * @param string $imageSrc
     * @return Product
     */
    public function setImageSrc($imageSrc) {
        $this->imageSrc = $imageSrc;
        return $this;
    }

    /**
     * @return string
     */
    public function getImageThumb() {
        return $this->imageThumb;
    }

    /**
     * @param string $imageThumb
     * @return Product
     */
    public function setImageThumb($imageThumb) {
        $this->imageThumb = $imageThumb;
        return $this;
    }

    /**
     * @return Category[]
     */
    public function getCategories(){
        return $this->categories;
    }

    /**
     * @param Category[] $categories
     * @return Product
     */
    public function setCategories($categories){
        $this->categories = $categories;
        return $this;
    }

    /**
     * @return Label[]
     */
    public function getLabels(){
        return $this->labels;
    }

    /**
     * @param Label[] $labels
     */
    public function setLabels($labels){
        $this->labels = $labels;
    }



}