<?php

namespace Monkey\ImportEshopDataObjects\Entity;


use Monkey\ImportEshopDataObjects\Base\Entity;
use Monkey\ImportEshopDataObjects\Exceptions\WrongValueException;

/**
 * Class Review
 * @package Monkey\ImportEshopDataObjects\Entity
 */
class Review extends Entity {
    private $ALLOWED_SCORE_VALUES = array(0, 1, 2, 3, 4, 5);
    /**
     * @var int $score
     */
    private $score;

    /**
     * @var string $name
     */
    private $name;

    /**
     * @var string $content
     */
    private $content;

    /**
     * @var string $language
     */
    private $language;

    /**
     * @var string $customerId
     */
    private $customerId;

    /**
     * @var string $productId
     */
    private $productId;

    /**
     * @return int
     */
    public function getScore() {
        return $this->score;
    }

    /**
     * @param $score
     * @return Review
     * @throws WrongValueException
     */
    public function setScore($score) {
        if (!in_array($score, $this->ALLOWED_SCORE_VALUES)) {
            throw new WrongValueException($score, $this->ALLOWED_SCORE_VALUES);
        }

        $this->score = $score;
        return $this;
    }

    /**
     * @return string
     */
    public function getName() {
        return $this->name;
    }

    /**
     * @param string $name
     * @return Review
     */
    public function setName($name) {
        $this->name = $name;
        return $this;
    }

    /**
     * @return string
     */
    public function getContent() {
        return $this->content;
    }

    /**
     * @param string $content
     * @return Review
     */
    public function setContent($content) {
        $this->content = $content;
        return $this;
    }

    /**
     * @return string
     */
    public function getLanguage() {
        return $this->language;
    }

    /**
     * @param string $language
     * @return Review
     */
    public function setLanguage($language) {
        $this->language = $language;
        return $this;
    }

    /**
     * @return string
     */
    public function getCustomerId() {
        return $this->customerId;
    }

    /**
     * @param string $customerId
     * @return Review
     */
    public function setCustomerId($customerId) {
        $this->customerId = $customerId;
        return $this;
    }

    /**
     * @return string
     */
    public function getProductId() {
        return $this->productId;
    }

    /**
     * @param string $productId
     * @return Review
     */
    public function setProductId($productId) {
        $this->productId = $productId;
        return $this;
    }
}