<?php

namespace Monkey\ImportEshopDataObjects\Entity\Simple;


use Monkey\ImportEshopDataObjects\Base\ADifference;

/**
 * Class Alias
 * @package Monkey\ImportEshopDataObjects\Entity\Simple
 */
class Alias extends ADifference {
    /**
     * @var string $name
     */
    private $name;

    /**
     * @var string $alias
     */
    private $alias;

    /**
     * @var string
     */
    private $raw;

    /**
     * Alias constructor.
     * @param string $name
     * @param string $alias
     */
    public function __construct($name, $alias) {
        $this->setName($name);
        $this->setAlias($alias);
    }

    /**
     * @return string
     */
    public function getName() {
        return $this->name;
    }

    /**
     * @param string $name
     * @return Alias
     */
    public function setName($name) {
        $this->name = $name;
        return $this;
    }

    /**
     * @return string
     */
    public function getAlias() {
        return $this->alias;
    }

    /**
     * @param string $alias
     * @return Alias
     */
    public function setAlias($alias) {
        $this->alias = $alias;
        return $this;
    }

    /**
     * @return string
     */
    public function getRaw() {
        return $this->raw;
    }

    /**
     * @param string $raw
     * @return Alias
     */
    public function setRaw($raw) {
        $this->raw = $raw;
        return $this;
    }

    /**
     * @return string
     */
    public function __toString() {
        if (!is_null($this->getRaw())) {
            return $this->getRaw();
        }

        return "{$this->getName()} as {$this->getAlias()}";
    }
}