<?php

namespace Monkey\ImportEshopDataObjects\Entity\Simple;


class Error {
    /**
     * @var string $exceptionName
     */
    private $exceptionName;

    /**
     * @var string $message
     */
    private $message;

    /**
     * @var array $stackTrace
     */
    private $stackTrace;

    /**
     * @var string
     */
    private $file;

    /**
     * @var integer
     */
    private $line;

    /**
     * @var mixed
     */
    private $context;

    /**
     * @return string
     */
    public function getExceptionName() {
        return $this->exceptionName;
    }

    /**
     * @param string $exceptionName
     * @return Error
     */
    public function setExceptionName($exceptionName) {
        $this->exceptionName = $exceptionName;
        return $this;
    }

    /**
     * @return string
     */
    public function getMessage() {
        return $this->message;
    }

    /**
     * @param string $message
     * @return Error
     */
    public function setMessage($message) {
        $this->message = $message;
        return $this;
    }

    /**
     * @return array
     */
    public function getStackTrace() {
        return $this->stackTrace;
    }

    /**
     * @param array $stackTrace
     * @return Error
     */
    public function setStackTrace($stackTrace) {
        $this->stackTrace = $stackTrace;
        return $this;
    }

    public function getId() {
        return time();
    }

    /**
     * @return string
     */
    public function getFile(){
        return $this->file;
    }

    /**
     * @param string $file
     * @return Error
     */
    public function setFile($file){
        $this->file = $file;
        return $this;
    }

    /**
     * @return int
     */
    public function getLine(){
        return $this->line;
    }

    /**
     * @param int $line
     * @return Error
     */
    public function setLine($line){
        $this->line = $line;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getContext(){
        return $this->context;
    }

    /**
     * @param mixed $context
     * @return Error
     */
    public function setContext($context){
        $this->context = $context;
        return $this;
    }


}