<?php

namespace Monkey\ImportEshopDataObjects\Entity\Simple;


/**
 * Class Payment
 * @package Monkey\ImportEshopDataObjects\Entity\Simple
 */
class Payment {
    /**
     * @var string $id
     */
    private $id;

    /**
     * @var string $name
     */
    private $name;

    /**
     * @var Price $price
     */
    private $price;

    /**
     * @return string
     */
    public function getId() {
        return $this->id;
    }

    /**
     * @param string $id
     * @return Payment
     */
    public function setId($id) {
        $this->id = $id;
        return $this;
    }

    /**
     * @return string
     */
    public function getName() {
        return $this->name;
    }

    /**
     * @param string $name
     * @return Payment
     */
    public function setName($name) {
        $this->name = $name;
        return $this;
    }

    /**
     * @return Price
     */
    public function getPrice() {
        if (is_null($this->price)) {
            $this->setPrice(new Price());
        }

        return $this->price;
    }

    /**
     * @param Price $price
     * @return Payment
     */
    public function setPrice(Price $price) {
        $this->price = $price;
        return $this;
    }
}