<?php

namespace Monkey\ImportEshopDataObjects\Entity\Simple;


/**
 * Class Price
 * @package Monkey\ImportEshopDataObjects\Entity\Simple
 */
class Price {
    /**
     * @var float $price
     */
    private $price;

    /**
     * @var float $priceWithoutVat
     */
    private $priceWithoutVat;

    /**
     * @var string $currency
     */
    private $currency;

    /**
     * VAT value in percent
     * @var float $rate
     */
    private $rate;

    /**
     * Currency conversion rate
     * @var float $conversionRate
     */
    private $conversionRate = 1.0;

    /**
     * @return float
     */
    public function getPrice() {
        return $this->price;
    }

    /**
     * @param float $price
     * @return Price
     */
    public function setPrice($price) {
        $this->price = $price;
        return $this;
    }

    /**
     * @return float
     */
    public function getPriceWithoutVat() {
        return $this->priceWithoutVat;
    }

    /**
     * @param float $priceWithoutVat
     * @return Price
     */
    public function setPriceWithoutVat($priceWithoutVat) {
        $this->priceWithoutVat = $priceWithoutVat;
        return $this;
    }

    /**
     * @return string
     */
    public function getCurrency() {
        return $this->currency;
    }

    /**
     * @param string $currency
     * @return Price
     */
    public function setCurrency($currency) {
        $this->currency = $currency;
        return $this;
    }

    /**
     * VAT value in percent
     * @return float
     */
    public function getRate() {
        return $this->rate;
    }

    /**
     * @param float $rate VAT value in percent
     * @return Price
     */
    public function setRate($rate) {
        $this->rate = $rate;
        return $this;
    }

    /**
     * @return float
     */
    public function getConversionRate() {
        return $this->conversionRate;
    }

    /**
     * @param float $conversionRate
     * @return Price
     */
    public function setConversionRate($conversionRate) {
        $this->conversionRate = $conversionRate;
        return $this;
    }

    /**
     * @return float
     */
    public function getConvertedPrice() {
        return $this->getPrice() / $this->getConversionRate();
    }

    /**
     * @return float
     */
    public function getConvertedPriceWithoutVat() {
        return $this->getPriceWithoutVat() / $this->getConversionRate();
    }
}