<?php

namespace Monkey\ImportEshopDataObjects\Exceptions;


use Exception;

/**
 * Class UnknownOperatorException
 * @package Exceptions
 */
class UnknownOperatorException extends Exception {
    /**
     * UnknownOperatorException constructor.
     * @param string $usedOperator
     * @param array $allowedOperators
     */
    public function __construct($usedOperator, $allowedOperators) {
        parent::__construct(sprintf('You are trying to use unauthorized operator "%s"! Only following operators are allowed: {%s}', $usedOperator, implode(', ', $allowedOperators)));
    }
}