<?php

namespace Monkey\ImportEshopDataObjects\Interfaces;


use Monkey\ImportEshopDataObjects\Entity\Simple\Alias;
use Monkey\ImportEshopDataObjects\Entity\Simple\Condition;

/**
 * Interfaces DifferencesInterface
 * @package Monkey\ImportEshopDataObjects\Interfaces
 */
interface IDifferences {
    /**
     * @return Alias[]
     */
    public function getTableAliases();

    /**
     * @param Alias $alias
     * @return static
     */
    public function addTableAlias($alias);

    /**
     * @return Alias[]
     */
    public function getColumns();

    /**
     * @param Alias $column
     * @return static
     */
    public function addColumn($column);

    /**
     * @return Condition[]
     */
    public function getAdditionalConditions();

    /**
     * @param Condition $condition
     * @return static
     */
    public function addAdditionalCondition($condition);
}