<?php

namespace Monkey\ImportEshopDataObjects\Interfaces;


use Monkey\ImportEshopDataObjects\Base\Differences;

/**
 * Interfaces RequestInterface
 * @package Monkey\ImportEshopDataObjects\Interfaces
 */
interface IRequest {
    /**
     * @return int
     */
    function getPage();

    /**
     * @param int $page
     * @return static
     */
    function setPage($page);

    /**
     * @return int
     */
    function getLimit();

    /**
     * @param int $limit
     * @return static
     */
    function setLimit($limit);

    /**
     * @return Differences
     */
    function getDifferences();

    /**
     * @param Differences $differences
     * @return static
     */
    function setDifferences(Differences $differences);

    /**
     * @return string
     */
    function getHash();

    /**
     * @param string $hash
     * @return static
     */
    function setHash($hash);

    /**
     * @return bool
     */
    function isDebug();

    /**
     * @param bool $debug
     * @return static
     */
    function setDebug($debug);

    /**
     * @return string
     */
    function getId();

    /**
     * @param string $id
     * @return static
     */
    function setId($id);

    /**
     * @return static
     */
    function nextPage();
}