<?php

namespace Monkey\ImportEshopDataObjects\Interfaces;


use Monkey\ImportEshopDataObjects\Base\Entity;


/**
 * Interfaces ResponseInterface
 * @package Monkey\ImportEshopDataObjects\Interfaces
 */
interface IResponse {
    /**
     * @return int
     */
    public function getStatusCode();

    /**
     * @param int $statusCode
     * @return static
     */
    public function setStatusCode($statusCode);

    /**
     * @return string
     */
    public function getMessage();

    /**
     * @param string $message
     * @return static
     */
    public function setMessage($message);

    /**
     * @return array
     */
    public function getContent();

    /**
     * @param array $content
     * @return static
     */
    public function setContent(array $content);

    /**
     * @return string
     */
    public function getSchema();

    /**
     * @param string $schema
     * @return static
     */
    public function setSchema($schema);

    /**
     * @return string
     */
    public function getQuery();

    /**
     * @param string $query
     * @return static
     */
    public function setQuery($query);

    /**
     * @return Entity
     */
    public function addNewEntity();

    /**
     * @return string
     */
    public function getPhpVersion();

    /**
     * @param string $phpVersion
     * @return static
     */
    public function setPhpVersion($phpVersion);

    /**
     * @return string
     */
    public function getEshopPlatform();

    /**
     * @param string $eshopPlatform
     * @return static
     */
    public function setEshopPlatform($eshopPlatform);

    /**
     * @return string
     */
    public function getEshopPlatformVersion();

    /**
     * @param string $eshopPlatformVersion
     * @return static
     */
    public function setEshopPlatformVersion($eshopPlatformVersion);

    /**
     * @return string
     */
    public function getEshopPluginVersion();

    /**
     * @param string $eshopPluginVersion
     * @return static
     */
    public function setEshopPluginVersion($eshopPluginVersion);

    /**
     * @return string
     */
    public function getImportEshopApiVersion();

    /**
     * @param string $importEshopApiVersion
     * @return static
     */
    public function setImportEshopApiVersion($importEshopApiVersion);

    /**
     * @return string
     */
    public function getImportEshopDataObjectsVersion();

    /**
     * @param string $importEshopDataObjectsVersion
     * @return static
     */
    public function setImportEshopDataObjectsVersion($importEshopDataObjectsVersion);

    /**
     * @return array
     */
    public function getErrorMessages();

    /**
     * @param array $errorMessages
     * @return static
     */
    public function setErrorMessages($errorMessages);

    /**
     * @param $message
     * @return static
     */
    public function addErrorMessage($message);
}