<?php

namespace Monkey\ImportEshopDataObjects\Request;


use Monkey\ImportEshopDataObjects\Base\Request;
use Monkey\ImportEshopDataObjects\Interfaces\IForeignKey;

/**
 * Class CategoriesRequest
 * @package Monkey\ImportEshopDataObjects\Request
 */
class CategoriesRequest extends Request implements IForeignKey {
    /**
     * @var string $parentCategoryId
     */
    private $parentCategoryId;

    /**
     * @return string
     */
    public function getForeignKey() {
        return $this->parentCategoryId;
    }

    /**
     * @param string $key
     * @return CategoriesRequest
     */
    public function setForeignKey($key) {
        $this->parentCategoryId = $key;
        return $this;
    }

    /**
     * @return int
     */
    public function getSinceId() {
        return parent::getSinceId();
    }

    /**
     * @param int $sinceId
     * @return CategoriesRequest
     */
    public function setSinceId($sinceId) {
        return parent::setSinceId($sinceId);
    }

    /**
     * @return int
     */
    public function getMaxId() {
        return parent::getMaxId();
    }

    /**
     * @param int $maxId
     * @return CategoriesRequest
     */
    public function setMaxId($maxId) {
        return parent::setMaxId($maxId);
    }

    /**
     * @return string
     */
    public function getCreatedFrom() {
        return parent::getCreatedFrom();
    }

    /**
     * @param string $createdFrom
     * @return CategoriesRequest
     */
    public function setCreatedFrom($createdFrom) {
        return parent::setCreatedFrom($createdFrom);
    }

    /**
     * @return string
     */
    public function getCreatedTo() {
        return parent::getCreatedTo();
    }

    /**
     * @param string $createdTo
     * @return CategoriesRequest
     */
    public function setCreatedTo($createdTo) {
        return parent::setCreatedTo($createdTo);
    }

    /**
     * @return string
     */
    public function getUpdatedFrom() {
        return parent::getUpdatedFrom();
    }

    /**
     * @param string $updatedFrom
     * @return CategoriesRequest
     */
    public function setUpdatedFrom($updatedFrom) {
        return parent::setUpdatedFrom($updatedFrom);
    }

    /**
     * @return string
     */
    public function getUpdatedTo() {
        return parent::getUpdatedTo();
    }

    /**
     * @param string $updatedTo
     * @return CategoriesRequest
     */
    public function setUpdatedTo($updatedTo) {
        return parent::setUpdatedTo($updatedTo);
    }
}