<?php

namespace Monkey\InsideAuth\Interfaces;

use Monkey\Oauth2Token\Interfaces\IAccessToken;

/**
 * Interface IInsideAuth
 * @package Monkey\InsideAuth\Interfaces
 */
interface IInsideAuth {

    const INSIDE_AUTH_SECRET_SLUG = '/auth/secret';

    const INSIDE_AUTH_IFRAME_SLUG = '/auth/iframe';

    const INSIDE_PATH_PREFIX = 'inside';

    const FIELD_NAME_CODE = 'code';

    const FIELD_NAME_ACCESS_TOKEN = 'access_token';

    /**
     * @var int 20ms [in microseconds]
     */
    const COMMUNICATION_DELAY = 20000;

    /**
     * @param string $authCode
     * @return IAccessToken
     */
    public function exchangeAuthCodeForSecretToken($authCode);

    /**
     * @param IAccessToken $secretToken
     * @return IAccessToken
     */
    public function exchangeSecretTokenForIframeToken(IAccessToken $secretToken);

}
