<?php

namespace Monkey\InsideBootJs\Base;

use Monkey\InsideBootJs\Model\AModel;
use Monkey\InsidePlatformData\Base\AConfig;

/**
 * Class AInsideController
 * @package Monkey\InsideBootJs\Base
 */
abstract class AInsideController {

    /**
     * @var AModel
     */
    private $model;

    /**
     * @var AConfig
     */
    private $config;

    /**
     * AInsideController constructor.
     * @param AModel $model
     * @param AConfig $config
     */
    public function __construct(AModel $model, AConfig $config) {
        $this->model = $model;
        $this->config = $config;
    }

    /**
     * @return AModel
     */
    final protected function getModel() {
        return $this->model;
    }

    /**
     * @return AConfig
     */
    final protected function getConfig() {
        return $this->config;
    }

    /**
     * @return array
     */
    protected function getBaseUrlParts() {
        return $this->getConfig()->getInsideUrlParts();
    }

}
