<?php

namespace Monkey\InsideBootJs;

use Monkey\InsideBootJs\Model\AModel;
use Monkey\InsideBootJs\Base\AInsideBootJs;

/**
 * Class InsideConnectBootJs
 * @package Monkey\InsideBootJs
 */
class InsideConnectBootJs extends AInsideBootJs {

    /**
     * @var AModel
     */
    private $model;

    /**
     * InsideConnectBootJs constructor.
     * @param $pluginIframeJSUrl
     * @param AModel $model
     */
    public function __construct($pluginIframeJSUrl, AModel $model) {
        parent::__construct($pluginIframeJSUrl);
        $this->setModel($model);
    }

    /**
     * @return string
     * @throws Exceptions\EmptyAnchorElementIdException
     * @throws Exceptions\FileContentGettingException
     */
    public function generateBootJS() {
        $js = "var monkeyDataConnectData = '" . $this->generateConnectData() . "';";
        return $this->generateScriptElement($js) . parent::generateBootJS();
    }

    /**
     * @return string
     */
    private function generateConnectData() {
        $connectData = $this->getModel()->getConnectionData()->toJSON();
        return base64_encode($connectData);
    }


    /**
     * @return AModel
     */
    private function getModel() {
        return $this->model;
    }

    /**
     * @param AModel $model
     * @return $this
     */
    private function setModel(AModel $model) {
        $this->model = $model;
        return $this;
    }
}
