<?php

namespace Monkey\InsidePlatformData\Base;

/**
 * Class AConfig
 * @package Monkey\InsidePlatformData\Base
 */
abstract class AConfig {

    /**
     * @return string
     */
    abstract public function getBaseInsideUrl();

    /**
     * @return string
     */
    abstract public function getPlatformCode();

    /**
     * @return string
     */
    abstract public function getPlatformVersion();

    /**
     * @return string
     */
    abstract public function getPluginCode();

    /**
     * @return string
     */
    abstract public function getPluginVersion();

    /**
     * @return string[]
     */
    final public function getInsideUrlParts() {
        $parts = array();
        $parts[] = trim($this->getBaseInsideUrl(), '/');

        // inner namespace
        $parts[] = 'inside';

        $parts[] = $this->getPlatformCode();
        $parts[] = $this->getPlatformVersion();
        $parts[] = $this->getPluginCode();
        $parts[] = $this->getPluginVersion();

        return $parts;
    }

    /**
     * @param string[] $parts
     * @return string
     */
    final public function makeInsideUrlFromParts(array $parts) {
        $baseParts = $this->getInsideUrlParts();
        $parts = array_merge($baseParts, $parts);
        return implode("/", $parts);
    }
}