<?php

namespace Monkey\InsidePlatformData\Base;

use Monkey\InsidePlatformData\Interfaces\IInsidePlatformData;
use Monkey\InsidePlatformData\Structure\InsidePlatformDataStructure;

/**
 * Class AInsidePlatformData
 * @package Monkey\InsidePlatformData\Base
 */
abstract class AInsidePlatformData implements IInsidePlatformData {

    /**
     * @var InsidePlatformDataStructure
     */
    private $insidePlatformDataStructure;

    /**
     * AInsidePlatformData constructor.
     */
    public function __construct() {
    }

    /**
     * @return InsidePlatformDataStructure
     */
    public function getInsidePlatformDataStructure() {
        if ($this->insidePlatformDataStructure === null) {
            $this->insidePlatformDataStructure = new InsidePlatformDataStructure();
        }
        return $this->insidePlatformDataStructure;
    }

    /**
     * @return string
     */
    public function generatePlatformDataJS() {
        $data = $this->getInsidePlatformDataStructure()->toJSON();
        $js = "var monkeyDataPluginsPlatformData = {$data};";

        return $js;
    }

}
