<?php

namespace Monkey\InsidePlatformData\Platform;

use Monkey\InsidePlatformData\Interfaces\IInsideConnectionStructure;
use Monkey\InsidePlatformData\Structure\AInsideStructure;

/**
 * Class PrestaShopIdentityStructure
 * @package Monkey\InsidePlatformData\Platform
 */
class PrestaShopConnectionStructure extends AInsideStructure implements IInsideConnectionStructure {

    /**
     * @required
     * @persistent
     * @var string
     */
    private $apiUrl;

    /**
     * @required
     * @var string
     */
    private $apiAccessToken;

    /**
     * @required
     * @persistent
     * @var string
     */
    private $apiVersion;

    /**
     * @var array
     * @persistent
     */
    private $shopIds;

    /**
     * @var array
     * @persistent
     */
    private $shopGroupIds;

    /**
     * @required
     * @var string
     */
    private $storeIdentityHash;

    /**
     * @required
     * @var string
     */
    private $email;

    /**
     * @var string
     */
    private $firstname;

    /**
     * @var string
     */
    private $lastname;

    /**
     * @var string
     */
    private $timezone;

    /**
     * @var string
     */
    private $country;

    /**
     * @var string
     */
    private $language;

    /**
     * @var string
     */
    private $storeUrl;

    /**
     * @var string
     */
    private $currency;

    /**
     * @return string
     */
    public function getApiUrl() {
        return $this->apiUrl;
    }

    /**
     * @param string $apiUrl
     * @return $this
     */
    public function setApiUrl($apiUrl) {
        $this->apiUrl = $apiUrl;
        return $this;
    }

    /**
     * @return string
     */
    public function getApiAccessToken() {
        return $this->apiAccessToken;
    }

    /**
     * @param string $apiAccessToken
     * @return $this
     */
    public function setApiAccessToken($apiAccessToken) {
        $this->apiAccessToken = $apiAccessToken;
        return $this;
    }

    /**
     * @return array
     */
    public function getShopIds() {
        return $this->shopIds;
    }

    /**
     * @param array $shopIds
     * @return $this
     */
    public function setShopIds($shopIds) {
        $this->shopIds = $shopIds;
        return $this;
    }

    /**
     * @return array
     */
    public function getShopGroupIds() {
        return $this->shopGroupIds;
    }

    /**
     * @param array $shopGroupIds
     * @return $this
     */
    public function setShopGroupIds($shopGroupIds) {
        $this->shopGroupIds = $shopGroupIds;
        return $this;
    }

    /**
     * @return string
     */
    public function getStoreIdentityHash() {
        return $this->storeIdentityHash;
    }

    /**
     * @param string $storeIdentityHash
     * @return static
     */
    public function setStoreIdentityHash($storeIdentityHash) {
        $this->storeIdentityHash = $storeIdentityHash;
        return $this;
    }

    /**
     * @return string
     */
    public function getEmail() {
        return $this->email;
    }

    /**
     * @param string $email
     * @return $this
     */
    public function setEmail($email) {
        $this->email = $email;
        return $this;
    }

    /**
     * @return string
     */
    public function getFirstname() {
        return $this->firstname;
    }

    /**
     * @param string $firstname
     * @return $this
     */
    public function setFirstname($firstname) {
        $this->firstname = $firstname;
        return $this;
    }

    /**
     * @return string
     */
    public function getLastname() {
        return $this->lastname;
    }

    /**
     * @param string $lastname
     * @return $this
     */
    public function setLastname($lastname) {
        $this->lastname = $lastname;
        return $this;
    }

    /**
     * @return string
     */
    public function getApiVersion() {
        return $this->apiVersion;
    }

    /**
     * @param string $apiVersion
     * @return $this
     */
    public function setApiVersion($apiVersion) {
        $this->apiVersion = $apiVersion;
        return $this;
    }

    /**
     * @return string
     */
    public function getCountry() {
        return $this->country;
    }

    /**
     * @param string $country
     * @return $this
     */
    public function setCountry($country) {
        $this->country = $country;
        return $this;
    }


    /**
     * @return string
     */
    public function getCurrency() {
        return $this->currency;
    }

    /**
     * @param string $currency
     * @return $this
     */
    public function setCurrency($currency) {
        $this->currency = $currency;
        return $this;
    }

    /**
     * @return string
     */
    public function getLanguage() {
        return $this->language;
    }

    /**
     * @param string $language
     * @return $this
     */
    public function setLanguage($language) {
        $this->language = $language;
        return $this;
    }

    /**
     * @return string
     */
    public function getTimezone() {
        return $this->timezone;
    }

    /**
     * @param string $timezone
     * @return $this
     */
    public function setTimezone($timezone) {
        $this->timezone = $timezone;
        return $this;
    }

    /**
     * @return string
     */
    public function getStoreUrl() {
        return $this->storeUrl;
    }

    /**
     * @param string $storeUrl
     * @return $this
     */
    public function setStoreUrl($storeUrl) {
        $this->storeUrl = $storeUrl;
        return $this;
    }

}