<?php

namespace Monkey\InsidePlatformData\Structure;

/**
 * Class InsidePlatformDataStructure
 * @package Monkey\InsidePlatformData\Structure
 */
class InsidePlatformDataStructure extends AInsideStructure {

    /**
     * @var InsidePlatformStructure
     */
    private $platform;

    /**
     * @var InsidePluginStructure
     */
    private $plugin;

    /**
     * @var string
     */
    private $iframeToken;

    /**
     * @return InsidePlatformStructure
     */
    public function getPlatform() {
        if ($this->platform === null) {
            $this->platform = new InsidePlatformStructure();
        }
        return $this->platform;
    }

    /**
     * @return InsidePluginStructure
     */
    public function getPlugin() {
        if ($this->plugin === null) {
            $this->plugin = new InsidePluginStructure();
        }
        return $this->plugin;
    }

    /**
     * @return string
     */
    public function getIframeToken() {
        return (string)$this->iframeToken;
    }

    /**
     * @param string $iframeToken
     * @return $this
     */
    public function setIframeToken($iframeToken) {
        $this->iframeToken = $iframeToken;
        return $this;
    }

}
