<?php

namespace Monkey\InsideSentry\Base;

use Exception;
use Monkey\InsideSentry\Interfaces\IRaven;

/**
 * Class ARaven
 * @package Monkey\InsideSentry\Base
 */
class ARaven extends \Raven_Client implements IRaven {

    /**
     * @param string $level
     * @param string $message
     * @param array $data
     * @return null|string
     * @internal param Exception $exception
     */
    public function log($level, $message, $data = array()) {
        $data["level"] = $level;
        if($message instanceof Exception){
            return $this->captureException($message, $data);
        }
        return $this->captureMessage($message, array(), $data);
    }


    /**
     * @param string $message
     * @param array $context
     */
    public function debug($message, $context = array()) {
        $this->log(static::DEBUG, $message, $context);
    }

    /**
     * @param string $message
     * @param array $context
     */
    public function info($message, $context = array()) {
        $this->log(static::INFO, $message, $context);
    }

    /**
     * @param string $message
     * @param array $context
     */
    public function warning($message, $context = array()) {
        $this->log(static::WARNING, $message, $context);
    }

    /**
     * @param string $message
     * @param array $context
     */
    public function error($message, $context = array()) {
        $this->log(static::ERROR, $message, $context);
    }

    /**
     * @param string $message
     * @param array $context
     */
    public function fatal($message, $context = array()) {
        $this->log(static::FATAL, $message, $context);
    }
}