<?php

namespace Monkey\Json\Tests;

use Monkey\Json\Base\AJson;

class JsonSerializerTest extends \PHPUnit_Framework_TestCase {


    public function testJsonSerializableInterface() {
        $instance = new JsonSerializeStub();

        $serializedArray = $instance->jsonSerialize();
        $this->assertSame(array("property" => "bar"), $serializedArray);

        $serializedJson = $instance->toJSON();
        $this->assertSame('{"property":"bar"}', $serializedJson);
    }



}


class JsonSerializeStub extends AJson {

    /**
     * @var string
     */
    private $property = "bar";

    /**
     * @return string
     */
    public function getProperty() {
        return $this->property;
    }

    /**
     * @param string $property
     * @return JsonSerializeStub
     */
    public function setProperty($property) {
        $this->property = $property;
        return $this;
    }


}
