<?php

namespace Monkey\Oauth2Token\Interfaces;

/**
 * Interface IAccessToken
 * @package Monkey\Oauth2Token\Interfaces
 */
interface IAccessToken extends IToken {

    const FIELD_NAME_ACCESS_TOKEN = 'access_token';
    const FIELD_NAME_TOKEN_TYPE = 'token_type';
    const FIELD_NAME_EXPIRES_IN = 'expires_in';
    const FIELD_NAME_EXPIRES_AT = 'expires_at';
    const FIELD_NAME_REFRESH_TOKEN = 'refresh_token';


    const TOKEN_TYPE_BEARER = 'Bearer';

    /**
     * @return string
     */
    public function getAccessToken();

    /**
     * @return IRefreshToken|null
     */
    public function getRefreshToken();

    /**
     * @return bool
     */
    public function hasRefreshToken();

    /**
     * @return string
     */
    public function getTokenType();

}