<?php

namespace Monkey\Oauth2Token\Interfaces;

use DateTime;
use Monkey\Json\Interfaces\IJsonSerializable;


/**
 * Interface IToken
 * @package Monkey\Oauth2Token\Interfaces
 */
interface IToken extends IJsonSerializable {

    /**
     * @return bool
     */
    public function isExpired();

    /**
     * @return int
     */
    public function getExpiresIn();

    /**
     * @return DateTime
     */
    public function getExpiresAt();

    /**
     * @return DateTime
     */
    public function getCreatedAt();

    /**
     * @return IScope[]
     */
    public function getScopes();

    /**
     * @param string $code
     * @return bool
     */
    public function hasScopeByCode($code);

}