<?php

namespace Monkey\Oauth2Token;

use Monkey\Json\Base\AJson;
use Monkey\Oauth2Token\Interfaces\IScope;
use stdClass;

/**
 * Class Scope
 * @package Monkey\Oauth2Token
 */
class Scope extends AJson implements IScope {

    /**
     * @var string
     */
    private $code;

    /**
     * @return string
     */
    public function getCode() {
        return $this->code;
    }

    /**
     * @param string $code
     * @return $this
     */
    public function setCode($code) {
        $this->code = $code;
        return $this;
    }

    /**
     * @param stdClass $object
     * @return static
     */
    public static function make(stdClass $object) {
        /**
         * @var $object $this
         */
        $scope = new static();

        if (isset($object->code)) {
            $scope->setCode($object->code);
        }

        return $scope;
    }

}
