<?php

namespace Monkey\InsidePlatformData\Tests;


use Monkey\Oauth2Token\AccessToken;

class AccessTokenTest extends \PHPUnit_Framework_TestCase {

    const TOKEN = "token";
    const CREATED_AT = 1517828880;
    const LIVETIME = 3600;
    const EXPIRED_AT = self::CREATED_AT + self::LIVETIME;


    public function testToCreateAccessTokenFromStdClass() {

        $accessTokenStdClass = (object) array(
            "accessToken" => self::TOKEN,
            "tokenType" => AccessToken::TOKEN_TYPE_BEARER,
            "createdAt" => self::CREATED_AT,
            "expiresAt" => self::EXPIRED_AT,
        );

        $accessToken = AccessToken::make($accessTokenStdClass);

        $this->assertSame(self::TOKEN, $accessToken->getAccessToken());
        $this->assertSame(self::CREATED_AT, $accessToken->getCreatedAt()->getTimestamp());
        $this->assertSame(self::EXPIRED_AT, $accessToken->getExpiresAt()->getTimestamp());
    }


    public function testToCreateAccessTokenFromWrongStdClass() {

        $accessTokenStdClass = (object) array(
            "access__token" => self::TOKEN,
            "token__type" => AccessToken::TOKEN_TYPE_BEARER,
            "created__at" => self::CREATED_AT,
            "expires__at" => self::EXPIRED_AT,
        );

        $accessToken = AccessToken::make($accessTokenStdClass);

        $this->assertSame(null, $accessToken->getAccessToken());
    }





}
