<?php
/**
 * Created by PhpStorm.
 * User: Fingarfae
 * Date: 10. 1. 2018
 * Time: 14:08
 */

namespace Monkey\PluginsPrestashop16XApi;


use Monkey\ImportEshopApi\Base\ASecurityHandler;
use Monkey\PluginsPrestashop16XApi\Facades\Db;
use Monkey\PluginsPrestashop16XApi\Facades\DbQuery;


class LocalhostSecurityHandler extends ASecurityHandler
{

    const VERSION = __CLASS__;//const version = "Monkey\PluginsPrestashop16XApi\LocalhostSecurityHandler";
    const PLUGINS_CONFIG_TABLE = 'md_plugin_config';
    const TYPE_API_ACCESS_TOKEN = 'api_access_token';
    const TYPE_API_ACCESS_SALT = 'api_access_salt';

    /**
     * @return string
     * @throws \Exception
     */
    protected function loadTokenFromLocalStorage() {
        return $this->getRowData(static::TYPE_API_ACCESS_TOKEN);
    }

    protected function prepareToken($token){
        $token = (string)$token;
        return $token;
    }

    /**
     * @param $token
     * @return void
     */
    public function storeTokenToLocalStorage($token){
        $this->insertOrUpdateRowData(static::TYPE_API_ACCESS_TOKEN, $this->prepareToken($token));
    }

    /**
     * @param string $type
     * @param string $data
     */
    private function insertOrUpdateRowData($type, $data) {
        $table = static::makeTableName(static::PLUGINS_CONFIG_TABLE);
        $exists = true;
        try {
            $this->getRowData($type);
        } catch (\Exception $e) {
            $exists = false;
        }

        $data = array('type' => $type, 'data' => $data);


        if ($exists) {
            Db::update($table, $data, "type = '{$type}'");
        } else {
            Db::insert($table, $data);
        }
    }

    /**
     * @param $type
     * @return string
     * @throws \Exception
     */
    private function getRowData($type) {
        $query = new DbQuery();
        $query->select('data')
            ->from(static::PLUGINS_CONFIG_TABLE)
            ->where("type = '{$type}'");

        $result = Db::getValue($query->build());
        if ($result === false) {
            throw new \Exception('No result provided when querying type: ' . $type);
        }
        return $result;
    }

    /**
     * @param string $database
     * @param string $engine
     * @return array
     */
    public static function getTableCreates($database,$engine){
        $configTable = static::makeTableName(static::PLUGINS_CONFIG_TABLE);
        $tables = array();
        $tables[] = "CREATE TABLE IF NOT EXISTS `{$database}`.`{$configTable}` (
	`id_md_plugin_config` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	`type` VARCHAR(50) NOT NULL,
	`data` TEXT NULL,
	PRIMARY KEY (`id_md_plugin_config`)
)
ENGINE={$engine} DEFAULT CHARSET=utf8;";

        return $tables;
    }

    /**
     * @param string $database
     * @return array
     */
    public static function getTableDrops($database){
        $configTable = static::makeTableName(static::PLUGINS_CONFIG_TABLE);
        $tables = array();
        $tables[] = "DROP TABLE IF EXISTS `{$database}`.`{$configTable}`;";

        return $tables;
    }

    /**
     * @param string $tableName
     * @return string
     */
    private static function makeTableName($tableName) {
        return _DB_PREFIX_ . $tableName;
    }
}