<?php
/**
 * Created by PhpStorm.
 * User: Fingarfae
 * Date: 31. 1. 2018
 * Time: 8:25
 */

namespace Monkey\PluginsPrestashop17XApi\Base;

use Monkey\ImportEshopDataObjects\Entity\Category;

/**
 * Class CategoryData
 * @package Monkey\PluginsPrestashop17XApi\Base
 *
 * SELECT c.id_category,c.id_parent,cp.id_product
FROM ps_category as c
LEFT JOIN ps_category_product as cp ON (c.id_category = cp.id_category)
ORDER BY c.id_parent,c.id_category
 */

class CategoryData
{
    /**
     * @var int
     */
    private $categoryId;

    /**
     * @var array
     */
    private $productIds=array();

    /**
     * @var int
     */
    private $parentId;

    /**
     * @var CategoryData[]
     */
    private $children;

    /**
     * @var string
     */
    private $name;

    /**
     * @var int
     */
    private $level;

    /**
     * @return int
     */
    public function getCategoryId(){
        return $this->categoryId;
    }

    /**
     * @param int $categoryId
     * @return CategoryData
     */
    public function setCategoryId($categoryId){
        $this->categoryId = $categoryId;
        return $this;
    }

    /**
     * @return array
     */
    public function getProductIds(){
        return $this->productIds;
    }

    /**
     * @param array $productIds
     * @return CategoryData
     */
    public function setProductIds($productIds){
        $this->productIds = $productIds;
        return $this;
    }

    /**
     * @param int $productId
     * @return $this
     */
    public function addProductId($productId){
        $this->productIds[$productId] = $productId;
        return $this;
    }

    /**
     * @return int
     */
    public function getParentId(){
        return $this->parentId;
    }

    /**
     * @param int $parentId
     * @return CategoryData
     */
    public function setParentId($parentId){
        $this->parentId = $parentId;
        return $this;
    }

    /**
     * @return CategoryData[]
     */
    public function getChildren(){
        return $this->children;
    }

    /**
     * @return CategoryData
     */
    public function getChildr($id){
        return $this->children[$id];
    }

    /**
     * @param CategoryData[] $children
     * @return CategoryData
     */
    public function setChildren($children){
        $this->children = $children;
        return $this;
    }


    /**
     * @param CategoryData $categoryData
     * @return $this
     */
    public function addChild($categoryData){
        $this->children[$categoryData->getCategoryId()] = $categoryData;
        return $this;
    }

    /**
     * @return Category
     */
    public function getEntity(){
        $entity = new Category();
        $entity->setId($this->getCategoryId());
        $entity->setName($this->getName());
        $entity->setParentId($this->getParentId());
        $entity->setLevel($this->getLevel());
        return $entity;
    }

    /**
     * @return string
     */
    public function getName(){
        return $this->name;
    }

    /**
     * @param string $name
     * @return CategoryData
     */
    public function setName($name){
        $this->name = $name;
        return $this;
    }

    /**
     * @return int
     */
    public function getLevel(){
        return $this->level;
    }

    /**
     * @param int $level
     * @return CategoryData
     */
    public function setLevel($level){
        $this->level = $level;
        return $this;
    }


}