<!--
 *   Copyright (c) 2018, MonkeyData s.r.o.
 *
 *   All rights reserved.
 *
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions are met:
 *    * Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 *    * Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 *    * Neither the name of the <organization> nor the
 *   names of its contributors may be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *   DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
 *   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 *   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *   @author    MonkeyData
 *   @copyright 2018 MonkeyData s.r.o.
 *   @license   MIT
-->

<!-- Block monkeydata -->
<div class="panel">
    <h3>How to start analyzing?</h3>

    <div>
        <a href="{$controllerUrl|escape:'htmlall':'UTF-8'}">
        <button type="button" class="btn btn-primary">Go to {$tabName|escape:'htmlall':'UTF-8'}</button>
        </a>
    </div>

    <br>

    <p>
        The plugin is situated in the left menu in the <b style="color: #008abd">ANALYZE</b> section.
    </p>
    <p>
        <b>Note:</b> If you can't see the plugin, please refresh the page.
    </p>
</div>

<div id="{$monkeyDataPluginsElementName|escape:'htmlall':'UTF-8'}">
    <script>
        var monkeyDataPluginsUrl = '{$monkeyDataPluginsUrl|escape:'htmlall':'UTF-8'}';
        var monkeyDataPluginsElementName = '{$monkeyDataPluginsElementName|escape:'htmlall':'UTF-8'}';
    </script>
</div>

{if $hasSecretToken === true}
    <div class="panel">
        <h3>Reconnect</h3>
        {if $reconnected === true}
            <div class="alert alert-success" role="alert">
                <p class="alert-text">Successfully reconnected</p>
            </div>
        {/if}
        <p>
            If needed please follow the link to reconnect MonkeyData Module
            <a href="{$reconnectUrl|escape:'htmlall':'UTF-8'}">Reconnect</a>
        </p>
    </div>
{/if}
<!-- /Block monkeydata -->
